Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Qtl

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Qtl
extends Persistent

Represents a quantitative trait locus (Qtl) in the EnsEMBL database. A Qtl is defined by two or three markers, two flanking and one optional peak marker. Its a region (or more often a group of regions) which is likely to affect the phenotype (trait) described in this Qtl. Each region is specified by a QtlFeature. If the Qtl can not be mapped to any regions in a the assembly then it has no QtlFeatures.

Author:
  Craig Melsopp
See Also:
  `QtlFeature`

Method Summary
`Marker` | `getFlankMarker1()` One flanking marker of the interest region, the two flanking markers define the region.
`Marker` | `getFlankMarker2()` One flanking marker of the interest region, the two flanking markers define the region.
`float` | `getLodScore()` A score for the Qtl.
`Marker` | `getPeakMarker()` An optional Marker which has the peak probabitity for this traits occurence.
`java.util.List` | `getQtlFeatures()` The qtl features associated with this Qtl.
`java.util.List` | `getSynoyms()` Returns QtlSynonyms.
`java.lang.String` | `getTrait()` Phenotype of this Qtl.
`void` | `setFlankMarker1(Marker marker)` One flanking marker of the interest region, the two flanking markers define the region.
`void` | `setFlankMarker2(Marker marker)` One flanking marker of the interest region, the two flanking markers define the region.
`void` | `setLodScore(float score)` A score for the Qtl.
`void` | `setPeakMarker(Marker marker)` An optional Marker which has the peak probablitity for this traits occurence.
`void` | `setQtlFeatures(java.util.List qtlFeatures)` The qtl features associated with this Qtl.
`void` | `setSynoyms(java.util.List synonyms)` Set QtlSynonyms.
`void` | `setTrait(java.lang.String trait)` Phenotype of this Qtl.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getFlankMarker1

    public Marker getFlankMarker1()

  One flanking marker of the interest region, the two flanking markers define the region.

  Returns:
    first flanking marker or null if undefined.

### getFlankMarker2

    public Marker getFlankMarker2()

  One flanking marker of the interest region, the two flanking markers define the region.

  Returns:
    second flanking marker or null if undefined.

### getLodScore

    public float getLodScore()

  A score for the Qtl.

  Returns:
    a score for the Qtl.

### getPeakMarker

    public Marker getPeakMarker()

  An optional Marker which has the peak probabitity for this traits occurence.

  Returns:
    peak marker, or null if undefined.

### getSynoyms

    public java.util.List getSynoyms()

  Returns QtlSynonyms.

  Returns:
    zero or more synonyms.
  See Also:
    `QtlSynonym`

### getTrait

    public java.lang.String getTrait()

  Phenotype of this Qtl.

  Returns:
    Phenotype of this Qtl.

### setFlankMarker1

    public void setFlankMarker1(Marker marker)

  One flanking marker of the interest region, the two flanking markers define the region.

  Parameters:
    `marker` - first flanking marker.

### setFlankMarker2

    public void setFlankMarker2(Marker marker)

  One flanking marker of the interest region, the two flanking markers define the region.

  Parameters:
    `marker` - second flanking marker.

### setLodScore

    public void setLodScore(float score)

  A score for the Qtl.

  Parameters:
    `score` - a score for the Qtl.

### setPeakMarker

    public void setPeakMarker(Marker marker)

  An optional Marker which has the peak probablitity for this traits occurence.

  Parameters:
    `marker` - peak marker, null if none exists.

### setSynoyms

    public void setSynoyms(java.util.List synonyms)

  Set QtlSynonyms.

  Parameters:
    `synonyms` - zero or more synonyms.
  See Also:
    `QtlSynonym`

### setTrait

    public void setTrait(java.lang.String trait)

  Phenotype of this Qtl.

  Parameters:
    `trait` - Phenotype of this Qtl.

### getQtlFeatures

    public java.util.List getQtlFeatures()

  The qtl features associated with this Qtl. A QtlFeature specifies where the Qtl appears on the genome.

  Returns:
    zero or more QtlFeatures.
  See Also:
    `QtlFeature`

### setQtlFeatures

    public void setQtlFeatures(java.util.List qtlFeatures)

  The qtl features associated with this Qtl. A QtlFeature specifies where the Qtl appears on the genome.

  Returns:
    zero or more QtlFeatures.
  See Also:
    `QtlFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD